blob: 0755db9211153c635046aa677566ff9f0edc3e99 [file] [log] [blame]
<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
Licensed to the Apache Software Foundation (ASF) under one
or more contributor license agreements. See the NOTICE file
distributed with this work for additional information
regarding copyright ownership. The ASF licenses this file
to you under the Apache License, Version 2.0 (the
"License"); you may not use this file except in compliance
with the License. You may obtain a copy of the License at
http://www.apache.org/licenses/LICENSE-2.0
Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, either express or implied. See the License for the
specific language governing permissions and limitations
under the License.
-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
<modelVersion>4.0.0</modelVersion>
<parent>
<groupId>org.apache.sling</groupId>
<artifactId>sling-bundle-parent</artifactId>
<version>35</version>
<relativePath />
</parent>
<artifactId>org.apache.sling.api</artifactId>
<version>2.22.0-SNAPSHOT</version>
<name>Apache Sling API</name>
<description>
The Apache Sling API defines an extension to the Servlet
API 2.4 to provide access to content and unified access
to request parameters hiding the differences between the
different methods of transferring parameters from client
to server. Note that the Apache Sling API bundle does not
include the Servlet API but instead requires the API to
be provided by the Servlet container in which the Apache
Sling framework is running or by another bundle.
</description>
<scm>
<connection>scm:git:https://gitbox.apache.org/repos/asf/sling-org-apache-sling-api.git</connection>
<developerConnection>scm:git:https://gitbox.apache.org/repos/asf/sling-org-apache-sling-api.git</developerConnection>
<url>https://gitbox.apache.org/repos/asf?p=sling-org-apache-sling-api.git</url>
<tag>HEAD</tag>
</scm>
<properties>
<site.jira.version.id>12314252</site.jira.version.id>
<sling.java.version>8</sling.java.version>
</properties>
<dependencies>
<dependency>
<groupId>javax.servlet</groupId>
<artifactId>javax.servlet-api</artifactId>
</dependency>
<!-- OSGi -->
<dependency>
<groupId>org.osgi</groupId>
<artifactId>org.osgi.annotation.versioning</artifactId>
</dependency>
<dependency>
<groupId>org.slf4j</groupId>
<artifactId>slf4j-api</artifactId>
</dependency>
<dependency>
<groupId>org.jetbrains</groupId>
<artifactId>annotations</artifactId>
<version>16.0.2</version>
<scope>compile</scope>
</dependency>
<!-- This will be an optional import, needed for applying conversion rules in the ObjectConverter -->
<dependency>
<groupId>javax.jcr</groupId>
<artifactId>jcr</artifactId>
<version>2.0</version>
<scope>provided</scope>
</dependency>
<!-- Testing -->
<dependency>
<groupId>junit</groupId>
<artifactId>junit</artifactId>
</dependency>
<dependency>
<groupId>org.apache.sling</groupId>
<artifactId>org.apache.sling.commons.testing</artifactId>
<version>2.1.0</version>
<scope>test</scope>
</dependency>
<dependency>
<groupId>org.mockito</groupId>
<artifactId>mockito-core</artifactId>
<version>2.3.7</version>
<scope>test</scope>
</dependency>
<dependency>
<groupId>org.apache.commons</groupId>
<artifactId>commons-lang3</artifactId>
<version>3.2</version>
<scope>test</scope>
</dependency>
<dependency>
<groupId>org.osgi</groupId>
<artifactId>org.osgi.util.converter</artifactId>
<version>1.0.0</version>
<scope>provided</scope>
</dependency>
<dependency>
<groupId>org.osgi</groupId>
<artifactId>org.osgi.util.function</artifactId>
<version>1.0.0</version>
<scope>provided</scope>
</dependency>
<dependency>
<groupId>org.apache.sling</groupId>
<artifactId>org.apache.sling.resource.filter</artifactId>
<version>1.0.0</version>
<scope>provided</scope> <!-- just used for javadoc link -->
</dependency>
</dependencies>
<build>
<plugins>
<plugin>
<groupId>org.apache.rat</groupId>
<artifactId>apache-rat-plugin</artifactId>
<configuration>
<excludes>
<!-- See SLING-1521 -->
<exclude>src/main/resources/org/apache/sling/api/servlets/HtmlResponse.html</exclude>
<!-- Used by maven-remote-resources-plugin -->
<exclude>src/main/appended-resources/META-INF/*</exclude>
<!-- Generated by maven-remote-resources-plugin -->
<exclude>velocity.log</exclude>
<!-- don't check anything in target -->
<exclude>target/*</exclude>
</excludes>
</configuration>
</plugin>
</plugins>
</build>
<profiles>
<profile>
<!-- enforce usage of JDK9 or above due to https://bugs.java.com/bugdatabase/view_bug.do?bug_id=8206092 -->
<activation>
<property>
<name>!ignore.javadocjdk</name>
</property>
</activation>
<build>
<plugins>
<plugin>
<artifactId>maven-enforcer-plugin</artifactId>
<executions>
<execution>
<id>enforce-jdk9-for-javadoc-on-mac</id>
<goals>
<goal>enforce</goal>
</goals>
<configuration>
<rules>
<requireJavaVersion>
<message>
You must use JDK 9 or newer due to issues with javadoc in older JDKs, for details check https://bugs.java.com/bugdatabase/view_bug.do?bug_id=8206092. Use -Dignore.javadocjdk to ignore this requirement (if not building javadoc)!
</message>
<version>9</version>
</requireJavaVersion>
</rules>
</configuration>
</execution>
</executions>
</plugin>
</plugins>
</build>
</profile>
</profiles>
</project>